"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SearchCategory;
(function (SearchCategory) {
    SearchCategory["TV"] = "tv";
    SearchCategory["Movies"] = "movies";
})(SearchCategory = exports.SearchCategory || (exports.SearchCategory = {}));
var JsonFormat;
(function (JsonFormat) {
    JsonFormat["JSON"] = "json";
    JsonFormat["JSON_EXTENDED"] = "json_extended";
})(JsonFormat = exports.JsonFormat || (exports.JsonFormat = {}));
var SortOrder;
(function (SortOrder) {
    SortOrder["LAST"] = "last";
    SortOrder["SEEDERS"] = "seeders";
    SortOrder["LEECHERS"] = "leechers";
})(SortOrder = exports.SortOrder || (exports.SortOrder = {}));
class DefaultSearch {
    constructor(searchString, category) {
        this.format = JsonFormat.JSON_EXTENDED;
        this.ranked = false;
        this.sort = SortOrder.SEEDERS;
        this.limit = 100;
        this.mode = 'search';
        this.search_string = searchString;
        this.category = category;
    }
}
exports.DefaultSearch = DefaultSearch;
//# sourceMappingURL=SearchParams.js.map