export declare type PromiseFactory<T> = () => Promise<T>;
export declare class QueuedPromise<T> {
    private resolve;
    private reject;
    private promiseFactory;
    constructor(resolve: (value?: PromiseLike<T> | T) => void, reject: (reason?: any) => void, promiseFactory: PromiseFactory<T>);
    /**
     * Build and execute the underlying promise
     */
    execute(): void;
}
