export interface TokenResponse {
    readonly token: string;
}
export declare class Token implements TokenResponse {
    readonly token: string;
    private date;
    private invalid;
    constructor(token: string);
    /**
     * Expired token
     * @returns {Token}
     */
    static expired(): Token;
    /**
     * Has the token expired
     * @returns {boolean}
     */
    hasExpired(): boolean;
    /**
     * Invalidate a token
     */
    invalidate(): void;
}
